org.eclipse.graphiti.ui.platform

## Class GFPropertySection

- java.lang.Object
- - org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
  - - org.eclipse.graphiti.ui.platform.GFPropertySection

All Implemented Interfaces:
  PropertyChangeListener, EventListener, ISection

    public abstract class GFPropertySection
    extends AbstractPropertySection
    implements PropertyChangeListener

The Class GFPropertySection.

### Field Summary

### Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

`STANDARD_LABEL_WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`GFPropertySection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(IFeature feature, IContext context)` Executes the feature and adds it to the command stack.
`void` `propertyChange(PropertyChangeEvent evt)`

### Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection

`aboutToBeHidden, aboutToBeShown, createControls, dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, refresh, setInput, shouldUseExtraSpace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFPropertySection

    public GFPropertySection()

### Method Detail

#### execute

    public void execute(IFeature feature,
                        IContext context)

Executes the feature and adds it to the command stack.

Parameters:
  `feature` - the feature
  `context` - the context

#### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`